### Hierarchy

- unknown
  - TradeStatistics2Store

## Index

### Constructors

- constructor

### Methods

- addItems
- clearItemsList
- getItemsList
- serializeBinary
- setItemsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TradeStatistics2Store(): TradeStatistics2Store

- Inherited from jspb.Message.constructor

  #### Returns TradeStatistics2Store

## Methods

### addItems

- addItems(value?: TradeStatistics2, index?: number): TradeStatistics2

- - Defined in src/protobuf/pb_pb.d.ts:6198

  #### Parameters

  - ##### Optional value: TradeStatistics2

  - ##### Optional index: number

  #### Returns TradeStatistics2

### clearItemsList

- clearItemsList(): TradeStatistics2Store

- - Defined in src/protobuf/pb_pb.d.ts:6197

  #### Returns TradeStatistics2Store

### getItemsList

- getItemsList(): TradeStatistics2 []

- - Defined in src/protobuf/pb_pb.d.ts:6195

  #### Returns TradeStatistics2 []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:6200

  #### Returns Uint8Array

### setItemsList

- setItemsList(value: TradeStatistics2 []): TradeStatistics2Store

- - Defined in src/protobuf/pb_pb.d.ts:6196

  #### Parameters

  - ##### value: TradeStatistics2 []

  #### Returns TradeStatistics2Store

### toObject

- toObject(includeInstance?: boolean): TradeStatistics2Store . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6201

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TradeStatistics2Store . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TradeStatistics2Store

- - Defined in src/protobuf/pb_pb.d.ts:6204

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TradeStatistics2Store

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TradeStatistics2Store, reader: BinaryReader): TradeStatistics2Store

- - Defined in src/protobuf/pb_pb.d.ts:6205

  #### Parameters

  - ##### message: TradeStatistics2Store

  - ##### reader: BinaryReader

  #### Returns TradeStatistics2Store

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TradeStatistics2Store, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:6203

  #### Parameters

  - ##### message: TradeStatistics2Store

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TradeStatistics2Store ): TradeStatistics2Store . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:6202

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TradeStatistics2Store

  #### Returns TradeStatistics2Store . AsObject

Generated using TypeDoc